<?php
/* ------------------------------------------------------------------------ *
 * Seja Framework Version 3.0
 *
 * Template Primary Navigation
 * ------------------------------------------------------------------------ */

?>
<?php //if ( SEJA_TEMPLATE_TYPE == 1 ) :  // default layout ?><?php //endif; ?>

<div id="navigation">
        	<nav>
<?php
 	
	/*2.8 menu 
 	if ( ( $GLOBALS['seja_detect_output'] == 'mobile' ) && ( SEJA_MOBILE_MENU == '1' ) )  :
		wp_nav_menu( array( 'menu_class' => 'mobile-menu', 'container_class' => 'menu-header', 'theme_location' => 'mobile' ) );
	else :
		wp_nav_menu( array( 'menu_class' => 'menu-header', 'container_class' => 'menu-header', 'theme_location' => 'primary' ) );
	endif;
	
	2.9 menu 
	
	if ( ( $GLOBALS['seja_detect_output'] == 'mobile' ) && ( SEJA_MOBILE_MENU == '1' ) )  :
		wp_nav_menu( array( 'menu_id' => 'seja-framework-menu', 'container_class' => 'mobile-menu', 'theme_location' => 'mobile' ) );
	else :
		wp_nav_menu( array( 'menu_id' => 'seja-framework-menu', 'container_class' => 'header-menu', 'theme_location' => 'primary' ) );
	endif;
	
	2.12 menu 
	
	if ( ( $GLOBALS['seja_detect_output'] == 'mobile' ) && ( SEJA_MOBILE_MENU == '1' ) )  :
		wp_nav_menu( array( 'menu_id' => 'seja-framework-menu', 'menu_class' => 'mobile-menu', 'container_class' => 'menu-header', 'theme_location' => 'mobile' ) );
	else :
		wp_nav_menu( array( 'menu_id' => 'seja-framework-menu', 'menu_class' => 'header-menu', 'container_class' => 'menu-header inner-wrapper', 'theme_location' => 'primary' ) );
	endif;
	
	2.15 menu 
	
	This is a return to the 2.8 menu call (blended with the 2.12 ones) - hopefully this will fix the disappearing menu if manual menus are not built
	The CSS was not hooking to the default calls anyway, but the id='seja-framework-menu'
	
	Hopefully this fixes the ongoing problems */ 
	
	if ( ( $GLOBALS['seja_detect_output'] == 'mobile' ) && ( SEJA_MOBILE_MENU == '1' ) )  :
		wp_nav_menu( array( 'menu_id' => 'seja-framework-menu', 'menu_class' => 'mobile-menu', 'container_class' => 'menu-header', 'theme_location' => 'mobile' ) );
	else :
		if( $nav_type == 'navigation' ) :
			wp_nav_menu( array( 'menu_id' => 'seja-framework-menu', 'menu_class' => 'menu-header', 'container_class' => 'menu-header inner-wrapper', 'theme_location' => 'primary' ) );
		else :
			wp_nav_menu( array( 'menu_id' => 'seja-framework-menu', 'menu_class' => 'header-menu', 'container_class' => 'menu-header inner-wrapper', 'theme_location' => 'primary', 'walker' => new seja_walker() ) );
		endif;
	endif;
			 ?>
 			</nav>
		</div><!-- #navigation --> 